Bug 24329 - chirp in Mga6 i586 GUI fails with: ImportError: No module named gtk
Summary: chirp in Mga6 i586 GUI fails with: ImportError: No module named gtk
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-02-09 14:04 CET by Barry Jackson
Modified: 2019-04-11 00:47 CEST (History)
3 users (show)

See Also:
Source RPM: chirp
CVE:
Status comment:


Attachments
Updated 'updates warning' message. (11.93 KB, image/png)
2019-02-12 16:11 CET, Barry Jackson
Details

Description Barry Jackson 2019-02-09 14:04:54 CET
Description of problem:
As summary. This runs correctly in Mga6 x86_64 plasma.

When run in terminal the error message is:

CHIRP 0.4.1 on Linux - Welcome to Mageia------------------------- (Python 2.7.15)
Traceback (most recent call last):
  File "/bin/chirpw", line 91, in <module>
    import gtk
ImportError: No module named gtk

I have tried (after googling the error) replacing 'gtk' in the calls with 'Gtk' 
but the error is then:
ImportError: No module named Gtk
so have reverted that change (which was local not in svn).

I am now suspecting a missing require on the machine in question which is a recently installed (classic) and updated Mga6 plasma.

I have asked for "rpm -qa|grep python" from the user in question.

Version-Release number of selected component (if applicable):
chirp-0.4.1

How reproducible:
So far only tested on one i586 machine. Requests on dev irc produced no extra testers :(

Steps to Reproduce:
1. Install and try to run chirp from the menu. No response.
2. Try to run chirpw from terminal and get above error message
3.
Barry Jackson 2019-02-09 14:05:10 CET

QA Contact: (none) => zen25000

Barry Jackson 2019-02-09 14:05:50 CET

QA Contact: zen25000 => (none)
Assignee: bugsquad => zen25000

Comment 1 Barry Jackson 2019-02-09 16:04:28 CET
Thanks to help from wally it seems the package is missing a require on:
pygtk2.0
Just how it has gone so long without a bug report is strange, however my reporter will be testing a new build with this require in the package before I push it to updates_testing.
Comment 2 Barry Jackson 2019-02-10 00:02:27 CET
Update Advisory
###############################

An update to chirp-4.1.0 in Mageia 6 has been submitted to 6/core/updates_testing.
This fixes a missing dependency on pygtk2.0 which was reported in Bug 24329.

Description
###############################

This update corrects a missing dependency that affected installations without
the package pygtk2.0.

References
###############################
https://bugs.mageia.org/show_bug.cgi?id=24329

Affected rpms
###############################

chirp-0.4.1-2.1.mga6.noarch.rpm

chirp-0.4.1-2.1.mga6.src.rpm

Testing
##############################

Check that this installs cleanly in x86_64 and i586 and that the GUI window opens on running from the Menu (it's under Internet -> more...)
Comment 3 Barry Jackson 2019-02-10 00:06:34 CET
Please note the typo above it should be 0.4.1 not 4.1.0 in the first part of the advisory.

Assignee: zen25000 => qa-bugs

Comment 4 Herman Viaene 2019-02-11 15:45:00 CET
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues
Install cleanly and opens up OK both from menu and CLI. It just mentions there is a new version available:-(

Whiteboard: (none) => MGA6-32-OK
CC: (none) => herman.viaene

Comment 5 Barry Jackson 2019-02-12 14:42:04 CET
(In reply to Herman Viaene from comment #4)
> MGA6-32 MATE on IBM Thinkpad R50e
> No installation issues
> Install cleanly and opens up OK both from menu and CLI. It just mentions
> there is a new version available:-(

Yes that will always happen now, as even in cauldron where it was updated a couple of weeks ago, this happens. Upstream have changed from 'releases' to daily rebuilds which now trigger this message. I will see if there is a way we can disable that check.
Comment 6 Barry Jackson 2019-02-12 16:09:45 CET
I have managed to improve this situation by changing the message and reducing it's frequency from once a week to once a month.
The patched message now reads as in the attached image.
Let me know if you think this is more suitable for Mageia and I will push another update with the patch.
Comment 7 Barry Jackson 2019-02-12 16:11:02 CET
Created attachment 10738 [details]
Updated 'updates warning' message.
Comment 8 Dave Hodgins 2019-02-14 08:39:26 CET
The updated message is not in chirp-0.4.1-2.1.mga6.noarch.rpm

Do you want the update held till the new version is available, or should we
go with this version as an update, for now?

Keywords: (none) => feedback
CC: (none) => davidwhodgins

Comment 9 Dave Hodgins 2019-03-14 22:14:55 CET
Ping. See comment 8
Comment 10 Barry Jackson 2019-03-14 23:59:37 CET
Sorry Dave I forgot about this.
To be honest I think that we should go for the latest version in Mga6 if that will be acceptable.
It's a very niche leaf package and 0.4.1 is quite old now.
I will test this tomorrow if I get chance and redo the advisory appropriately.
Comment 11 Barry Jackson 2019-03-15 01:17:49 CET
Update Advisory
###############################

An update to chirp-20190314 in Mageia 6 has been submitted to 6/core/updates_testing.
This fixes a missing dependency on pygtk2.0 which was reported in Bug 24329.

Description
###############################

This update corrects a missing dependency that affected installations without
the package pygtk2.0. It also reduces the frequency of reminders about updates
from upstream, were rather annoying.

References
###############################
https://bugs.mageia.org/show_bug.cgi?id=24329

Affected rpms
###############################

chirp-20190314-1.mga6.noarch.rpm

chirp-20190314-1.mga6.src.rpm

Testing
##############################

Check that this installs cleanly in x86_64 and i586 and that the GUI window opens on running from the Menu (it's under Internet -> more...)

I have tested this in both Mga6 and Cauldron and also uploaded and downloaded data from and to tranceivers without problems.
Comment 12 Dave Hodgins 2019-04-10 23:37:34 CEST
Advisory committed to svn. Validating based on update installing cleanly and
testing done by Barry.

Keywords: feedback => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 13 Mageia Robot 2019-04-11 00:47:18 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0028.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.